{% extends "bases/auth_modal.html" %}

{% load i18n %}
{% load crispy_forms_tags %}
{% load account socialaccount %}

{% block page_subtitle %}{% translate "Sign In" %}{% endblock %}

{% block breadcrumbs %}
{{ block.super }}
  <li class="breadcrumb-item">{% translate "Sign In" %}</li>
{% endblock %}

{% block inner_content %}
  {% get_providers as socialaccount_providers %}

  <h1 class="text-center">{% translate 'Log In' %}</h1>
  <hr>

  <div class="row">

    {% if socialaccount_providers %}
    <div class="col-md-5 col-lg-5">
      <div class="card">
        <div class="card-header">
          <div class="card-title">{% translate "3rd Party Providers" %}</div>
        </div>
        <div class="card-body">
          <ul class="list-group">
            {% include "socialaccount/snippets/provider_list.html" with process="login" %}
          </ul>
        </div>
      </div>
    </div>
    {% endif %}

    <div class="{% if socialaccount_providers %}col-md-7 col-lg-7 {% else %} col-md-8 col-md-offset-2 col-lg-6 col-lg-offset-3 {% endif %}">
      {% crispy form %}
    </div>
  </div>
  {% include "socialaccount/snippets/login_extra.html" %}

{% endblock %}
